from fastapi import FastAPI
from app.api.router import api_router
from pathlib import Path

app = FastAPI(
    title="Simple Todo App",
    description="A simple todo app using FastAPI and SQLite",
    version="0.1.0",
)

app.include_router(api_router)

@app.get("/health", tags=["Health"])
async def health_check():
    """
    Health check endpoint to verify the application is running
    """
    return {"status": "healthy"}